<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.sqmy.mapper.JmhRyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="jmhRyResultMap" type="org.springblade.modules.sqmy.pojo.entity.JmhRyEntity">
        <result column="xm" property="xm"/>
        <result column="zw" property="zw"/>
        <result column="lxdh" property="lxdh"/>
        <result column="jmh_id" property="jmhId"/>
    </resultMap>

    <select id="selectJmhRyPage" resultMap="jmhRyResultMap">
        select * from jmh_ry where is_deleted = 0
    </select>

    <select id="exportJmhRy" resultType="org.springblade.modules.sqmy.excel.JmhRyExcel">
        SELECT * FROM jmh_ry ${ew.customSqlSegment}
    </select>

</mapper>
